org.python.core

## Interface PythonCompiler

    public interface PythonCompiler

### Method Summary

Methods
`PythonCodeBundle` `compile(org.python.antlr.base.mod node, java.lang.String name, java.lang.String filename, boolean linenumbers, boolean printResults, CompilerFlags cflags)`

### Method Detail

#### compile

    PythonCodeBundle compile(org.python.antlr.base.mod node,
                           java.lang.String name,
                           java.lang.String filename,
                           boolean linenumbers,
                           boolean printResults,
                           CompilerFlags cflags)
                             throws java.lang.Exception

Throws:
  `java.lang.Exception`